var system = require("../../../system")
const CtlBase = require("../../ctlms.base");
class RoleCtl extends CtlBase {
  constructor() {
    super();
    this.roleSve = system.getObject("service.uc.roleSve");
  }

    /**
   * saas  添加 
   * @param {*} params 
   */
  async addRole(params) {
    try {
      return await this.roleSve.addRole(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  /**
   * saas  更新
   * @param {*} params 
   */
  async updRole(params) {
    try {
      return await this.roleSve.updRole(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  /**
   * saas 删除 
   * @param {*} params 
   */
  async delRole(params) {
    try {
      return await this.roleSve.delRole(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  /**
   * saas  查询列表 
   * @param {*} params 
   */
  async listRole(params) {
    try {
      return await this.roleSve.listRole(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  /**
   * saas  查询明细
   * @param {*} params 
   */
  async queryById(params) {
    try {
      return await this.roleSve.queryById(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
}
module.exports = RoleCtl;